# Real-time price & stock check

POST `/product-availability`

This endpoint lets you do a real-time price and stock check of any product in the Agora index.&#x20;

**Headers**

| Header          | Type   | Description   |
| --------------- | ------ | ------------- |
| `Authorization` | string | Bearer token. |

**Request body**

```json
{ 
"variantId":"123", 
"productUrl":"domain",
}
```

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
    "success": true,
    "message": "Variant retrieved successfully",
    "data": {
        "variantId": "variant.id",
        "available": "variant.available",
        "price": "variant.price",
        "inventory_quantity": "variant.inventory_quantity",
        "compare_at_price": "variant.compare_at_price",
      }
}
```

{% endtab %}

{% tab title="400" %}

```json
{
success: false,
message: ‘Variant not found’,
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.searchagora.com/additional-resources/real-time-price-and-stock-check.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
